2019-10-16 11:38 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002331FSSCPHUDpublic2010-10-26 06:21
ReporterAxem 
Assigned ToThe_E 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionAntipodes 7 
Target VersionFixed in VersionAntipodes 7 
Summary0002331: Messages with variables do not update with hud-set-message present
DescriptionI got a weird bug happening with the hud-set-message and variables. If I use hud-set-message at all, variables in messages won't update past their initial value, either through hud-set-message or through normal send-message. But as soon as I take out hud-set-message, everything works fine.

Here's a quick mod that shows the problem. Comes with a hud gauge and two missions. One has a timer that tries to use hud-set-message in a number of ways, and the only one that works is using hud-set-text-num taking the variable as a parameter directly. The other is a mission has the same timer set up, just using only send-message and no hud sexps.

http://www.sectorgame.com/axem/files/otherstuff/hudbug.rar
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012436

The_E (administrator)

Fix committed to Antipodes branch revision 6691
+Notes

-Issue History
Date Modified Username Field Change
2010-10-25 22:15 Axem New Issue
2010-10-26 06:21 The_E Note Added: 0012436
2010-10-26 06:21 The_E Status new => resolved
2010-10-26 06:21 The_E Fixed in Version => Antipodes 7
2010-10-26 06:21 The_E Resolution open => fixed
2010-10-26 06:21 The_E Assigned To => The_E
+Issue History